## ros-melodic-turtle-actionlib 0.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtle_actionlib)

## Find catkin dependencies
find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    actionlib_msgs
    angles
    message_generation
    rosconsole
    roscpp
    std_msgs
    turtlesim
    geometry_msgs
)

## Add message definitions
add_message_files(DIRECTORY msg FILES Velocity.msg)

## Add action definitions
add_action_files(DIRECTORY action FILES Shape.action)

## Generate messages and actions
generate_messages(DEPENDENCIES std_msgs actionlib_msgs)

## Setup catkin exports
catkin_package()

## Set include dirs
include_directories(${catkin_INCLUDE_DIRS})

## shape_server executable
add_executable(shape_server src/shape_server.cpp)
target_link_libraries(shape_server ${catkin_LIBRARIES})
add_dependencies(shape_server ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## shape_client executable
add_executable(shape_client src/shape_client.cpp)
target_link_libraries(shape_client ${catkin_LIBRARIES})
add_dependencies(shape_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Mark executables for installation
install(TARGETS shape_server shape_client
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-melodic-turtle-actionlib (0.1.11-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 03 Apr 2018 02:47:53 -0000

ros-melodic-turtle-actionlib (0.1.8-0stretch) stretch; urgency=high

  * update package maintainer.
  * Use _EXPORTED_TARGETS target suffix instead of _generate_messages_cpp
  * changed shape_server code to run with the hydro mversion of turtlesim ("geometry_msgs/Twist" nad cmd_vel)
  * Contributors: Benjamin Brieber, Daniel Stonier, Esteve Fernandez

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-turtle-actionlib
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-angles, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-turtlesim
Homepage: http://ros.org/wiki/turtle_actionlib
Standards-Version: 3.9.2

Package: ros-melodic-turtle-actionlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-angles, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-turtlesim
Description: turtle_actionlib demonstrates how to write an action server and client with the turtlesim.
 The shape_server provides and action interface for drawing regular polygons with the turtlesim.
